<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.app.mapper.PaymentOrderRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="paymentOrderRecordResultMap" type="org.springblade.modules.app.entity.PaymentOrderRecord">
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="pay_order_code" property="payOrderCode"/>
        <result column="transaction_channel" property="transactionChannel"/>
        <result column="transaction_method" property="transactionMethod"/>
        <result column="pay_mode" property="payMode"/>
        <result column="trade_no" property="tradeNo"/>
        <result column="pay_money" property="payMoney"/>
        <result column="payer_account_id" property="payerAccountId"/>
        <result column="payer_account_num" property="payerAccountNum"/>
        <result column="payee_account_id" property="payeeAccountId"/>
        <result column="payee_account_num" property="payeeAccountNum"/>
        <result column="pay_status" property="payStatus"/>
        <result column="time_start_payment" property="timeStartPayment"/>
        <result column="time_paid" property="timePaid"/>
        <result column="time_cancelled" property="timeCancelled"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectPaymentOrderRecordPage" resultMap="paymentOrderRecordResultMap">
        select * from tb_payment_order_record where is_deleted = 0
    </select>

</mapper>
